From b457fcb5da8d8a907d42783736056fa5f7ba9399 Mon Sep 17 00:00:00 2001
From: Lukas Durfina <lukas.durfina@gmail.com>
Date: Tue, 10 Jun 2008 12:02:39 +0200
Subject: [PATCH] Fixes for fullscreen controller

---
 modules/gui/qt4/components/interface_widgets.cpp |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/modules/gui/qt4/components/interface_widgets.cpp b/modules/gui/qt4/components/interface_widgets.cpp
index 6a7a7eb..4413a6e 100644
--- a/modules/gui/qt4/components/interface_widgets.cpp
+++ b/modules/gui/qt4/components/interface_widgets.cpp
@@ -826,7 +826,11 @@ FullscreenControllerWidget::FullscreenControllerWidget( intf_thread_t *_p_i,
 
     QGridLayout *fsLayout = new QGridLayout( this );
     controlLayout->setSpacing( 0 );
+    #if QT43
     controlLayout->setContentsMargins( 5, 1, 5, 1 );
+    #else
+    controlLayout->setMargin( 5 );
+    #endif
 
     fsLayout->addWidget( slowerButton, 0, 0 );
     slider->setSizePolicy( QSizePolicy::Expanding, QSizePolicy::Minimum);
@@ -842,7 +846,9 @@ FullscreenControllerWidget::FullscreenControllerWidget( intf_thread_t *_p_i,
 
     fsLayout->addWidget( discFrame, 1, 4 );
 
+    #ifdef ZVBI_COMPILED
     fsLayout->addWidget( telexFrame, 1, 5 );
+    #endif
 
     fsLayout->addWidget( advControls, 1, 6, Qt::AlignVCenter );
 
@@ -909,7 +915,8 @@ void FullscreenControllerWidget::slowHideFSC()
 
         p_slowHideTimer->stop();
         /* the last part of time divided to 100 pieces */
-        p_slowHideTimer->start( i_hideTimeout / 2 / ( windowOpacity() * 100 ) );
+        p_slowHideTimer->start(
+            (int) ( i_hideTimeout / 2 / ( windowOpacity() * 100 ) ) );
     }
     else
     {
-- 
1.5.5.1

